body{

background:#060606;
color:#7cff7c;
font-family:monospace;
margin:0;

display:flex;
justify-content:center;
}

.console{
width:900px;
margin-top:30px;
}
.status-panel{

padding:10px;
border:2px solid #0a4;
margin-bottom:15px;
}

.tower-btn{

background:linear-gradient(#1a1a1a,#050505);

color:#8cff8c;

border:2px solid #0a4;

border-radius:4px;

padding:8px 14px;

margin:6px;

font-family:monospace;

cursor:pointer;

box-shadow:
0 0 6px #0f5,
inset 0 2px 3px rgba(255,255,255,.1),
inset 0 -3px 4px rgba(0,0,0,.7);

transition:.15s;

}

.tower-btn::before{

content:"";

display:inline-block;

width:10px;
height:10px;

border-radius:50%;

background:#2aff2a;

margin-right:8px;

box-shadow:
0 0 6px #2aff2a;

}

.tower-btn.unknown::before{
background:#ffd94d;
box-shadow:0 0 6px #ffd94d;
}
.tower-btn:active{

transform:translateY(2px);

box-shadow:
inset 0 2px 6px black;

}
.radar{

width:500px;
height:500px;

margin:auto;

background:#021402;
border-radius:50%;

border:6px solid #0a4;

position:relative;

box-shadow:
0 0 40px #0f5,
inset 0 0 80px #0f5;

overflow:hidden;

}
.grid{

position:absolute;
width:100%;
height:100%;

background:

radial-gradient(circle, transparent 60%, #0f5 61%, transparent 62%),
radial-gradient(circle, transparent 30%, #0f5 31%, transparent 32%);

opacity:.2;

}
.sweep{

position:absolute;

width:100%;
height:100%;

background:conic-gradient(
rgba(0,255,0,.35),
rgba(0,255,0,0)
);

animation:sweep 4s linear infinite;

}

@keyframes sweep{
from{transform:rotate(0deg);}
to{transform:rotate(360deg);}
}
.blip{

width:8px;
height:8px;

background:#7cff7c;

border-radius:50%;

position:absolute;

box-shadow:0 0 8px #7cff7c;

animation:blipPulse 2s infinite;

}

@keyframes blipPulse{

0%{opacity:.6;}
50%{opacity:1;}
100%{opacity:.6;}

}

.blip:hover{

transform:scale(1.6);

}
#tooltip{

position:absolute;

background:#001500;
color:#7cff7c;

border:1px solid #0a4;

padding:3px 6px;

font-size:12px;

pointer-events:none;

display:none;

z-index:20;

}
.scanlines{

position:absolute;

width:100%;
height:100%;

background:
repeating-linear-gradient(
transparent,
transparent 3px,
rgba(0,0,0,.3) 4px
);

pointer-events:none;

}
.dossier{

border:2px solid #0a4;

padding:20px;
margin-top:20px;

background:#010901;

}
.panel{

border:3px solid #0a4;

background:#010801;


margin-bottom:16px;

box-shadow:

0 0 10px rgba(0,255,0,.2),
inset 0 0 20px rgba(0,255,0,.08);

}
.glass{

position:absolute;

top:0;
left:0;

width:100%;
height:100%;

border-radius:50%;

background:linear-gradient(
120deg,
rgba(255,255,255,.08),
transparent 40%
);

pointer-events:none;

}